QuantLib: BachelierSwaptionEngine Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | List of all members
BachelierSwaptionEngine Class Reference
Pricing engines » Swaption engines

Normal Bachelier-formula swaption engine. More...

`#include <ql/pricingengines/swaption/blackswaptionengine.hpp>`

Inheritance diagram for BachelierSwaptionEngine:
[legend]

## Public Member Functions
| BachelierSwaptionEngine (const Handle< YieldTermStructure > &discountCurve, Volatility vol, const DayCounter &dc=Actual365Fixed(), CashAnnuityModel model=DiscountCurve)
| BachelierSwaptionEngine (const Handle< YieldTermStructure > &discountCurve, const Handle< Quote > &vol, const DayCounter &dc=Actual365Fixed(), CashAnnuityModel model=DiscountCurve)
| BachelierSwaptionEngine (const Handle< YieldTermStructure > &discountCurve, const Handle< SwaptionVolatilityStructure > &vol, CashAnnuityModel model=DiscountCurve)
Public Member Functions inherited from BlackStyleSwaptionEngine< detail::BachelierSpec >
| BlackStyleSwaptionEngine (const Handle< YieldTermStructure > &discountCurve, Volatility vol, const DayCounter &dc=Actual365Fixed(), Real displacement=0.0, CashAnnuityModel model=DiscountCurve)
| BlackStyleSwaptionEngine (const Handle< YieldTermStructure > &discountCurve, const Handle< Quote > &vol, const DayCounter &dc=Actual365Fixed(), Real displacement=0.0, CashAnnuityModel model=DiscountCurve)
| BlackStyleSwaptionEngine (const Handle< YieldTermStructure > &discountCurve, const Handle< SwaptionVolatilityStructure > &vol, CashAnnuityModel model=DiscountCurve)
void | calculate () const
Handle< YieldTermStructure > | termStructure ()
Handle< SwaptionVolatilityStructure > | volatility ()
Public Member Functions inherited from GenericEngine< Swaption::arguments, Swaption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from PricingEngine
virtual arguments * | getArguments () const =0
virtual const results * | getResults () const =0
virtual void | calculate () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members
Public Types inherited from BlackStyleSwaptionEngine< detail::BachelierSpec >
enum | CashAnnuityModel
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from GenericEngine< Swaption::arguments, Swaption::results >
Swaption::arguments | arguments_
Swaption::results | results_

## Detailed Description

Normal Bachelier-formula swaption engine.

Warning:
  The engine assumes that the exercise date lies before the start date of the passed swap.